module.exports = class Feelings {
	help(room, mobile, input) {
		var topic = input.join(" ").trim();
		switch(topic) {
			case "feelings":
				libs.Output.toMobile(mobile.id, "There are a wide variety of emotes.");
				libs.Output.toMobile(mobile.id, "TBD");
				return true;
		}
	}

	rainbow(room, mobile, input) {
		if(input[0] == "at") {
			input.shift();
		}
		var mobileKey = input.join(" ").trim();
		var roomMobile = libs.Utilities.getSpecific(mobileKey, room.mobiles, session.mobiles);
		if(roomMobile != null) {
			libs.Output.toMobile(mobile.id, "You beam a {red}r{/red}{yellow}a{/yellow}{green}i{/green}{blue}n{/blue}{magenta}b{/magenta}{red}o{/red}{yellow}w{/yellow} at " + roomMobile.mud_getName() + ".", mobile);
			libs.Output.toMobile(roomMobile.id, mobile.mud_getName() + " beams a {red}r{/red}{yellow}a{/yellow}{green}i{/green}{blue}n{/blue}{magenta}b{/magenta}{red}o{/red}{yellow}w{/yellow} at you.", mobile);
			libs.Output.toRoom(room.id, mobile.mud_getName() + " beams a {red}r{/red}{yellow}a{/yellow}{green}i{/green}{blue}n{/blue}{magenta}b{/magenta}{red}o{/red}{yellow}w{/yellow} at " + roomMobile.mud_getName() + ".", [mobile, roomMobile]);
			return true;
		}
		libs.Output.toMobile(mobile.id, "You feel like a {red}r{/red}{yellow}a{/yellow}{green}i{/green}{blue}n{/blue}{magenta}b{/magenta}{red}o{/red}{yellow}w{/yellow}!", mobile);
		libs.Output.toRoom(room.id, mobile.mud_getName() + " feels like a {red}r{/red}{yellow}a{/yellow}{green}i{/green}{blue}n{/blue}{magenta}b{/magenta}{red}o{/red}{yellow}w{/yellow}!", mobile);
		return true;
	}

	smile(room, mobile, input) {
		if(input[0] == "at") {
			input.shift();
		}
		var mobileKey = input.join(" ").trim();
		var roomMobile = libs.Utilities.getSpecific(mobileKey, room.mobiles, session.mobiles);
		if(roomMobile != null) {
			libs.Output.toMobile(mobile.id, "You smile brightly at " + roomMobile.mud_getName() + ".", mobile);
			libs.Output.toMobile(roomMobile.id, mobile.mud_getName() + " smiles brightly at you.", mobile);
			libs.Output.toRoom(room.id, mobile.mud_getName() + " smiles brightly at " + roomMobile.mud_getName() + ".", [mobile, roomMobile]);
			return true;
		}
		libs.Output.toMobile(mobile.id, "You smile brightly.", mobile);
		libs.Output.toRoom(room.id, mobile.mud_getName() + " smiles brightly.", mobile);
		return true;
	}

	frown(room, mobile, input) {
		if(input[0] == "at") {
			input.shift();
		}
		var mobileKey = input.join(" ").trim();
		var roomMobile = libs.Utilities.getSpecific(mobileKey, room.mobiles, session.mobiles);
		if(roomMobile != null) {
			libs.Output.toMobile(mobile.id, "You frown darkly at " + roomMobile.mud_getName() + ".", mobile);
			libs.Output.toMobile(roomMobile.id, mobile.mud_getName() + " frowns darkly at you.", mobile);
			libs.Output.toRoom(room.id, mobile.mud_getName() + " frowns darkly at " + roomMobile.mud_getName() + ".", [mobile, roomMobile]);
			return true;
		}
		libs.Output.toMobile(mobile.id, "You frown darkly.", mobile);
		libs.Output.toRoom(room.id, mobile.mud_getName() + " frowns darkly.", mobile);
		return true;
	}

	laugh(room, mobile, input) {
		if(input[0] == "at") {
			input.shift();
		}
		var mobileKey = input.join(" ").trim();
		var roomMobile = libs.Utilities.getSpecific(mobileKey, room.mobiles, session.mobiles);
		if(roomMobile != null) {
			libs.Output.toMobile(mobile.id, "You laugh heartily at " + roomMobile.mud_getName() + ".", mobile);
			libs.Output.toMobile(roomMobile.id, mobile.mud_getName() + " laughs heartily at you.", mobile);
			libs.Output.toRoom(room.id, mobile.mud_getName() + " laughs heartily at " + roomMobile.mud_getName() + ".", [mobile, roomMobile]);
			return true;
		}
		libs.Output.toMobile(mobile.id, "You laugh heartily.", mobile);
		libs.Output.toRoom(room.id, mobile.mud_getName() + " laughs heartily.", mobile);
		return true;
	}

	nod(room, mobile, input) {
		if(input[0] == "at") {
			input.shift();
		}
		var mobileKey = input.join(" ").trim();
		var roomMobile = libs.Utilities.getSpecific(mobileKey, room.mobiles, session.mobiles);
		if(roomMobile != null) {
			libs.Output.toMobile(mobile.id, "You nod knowingly at " + roomMobile.mud_getName() + ".", mobile);
			libs.Output.toMobile(roomMobile.id, mobile.mud_getName() + " nods knowingly at you.", mobile);
			libs.Output.toRoom(room.id, mobile.mud_getName() + " nods knowingly at " + roomMobile.mud_getName() + ".", [mobile, roomMobile]);
			return true;
		}
		libs.Output.toMobile(mobile.id, "You nod knowingly.", mobile);
		libs.Output.toRoom(room.id, mobile.mud_getName() + " nods knowingly.", mobile);
		return true;
	}

	wave(room, mobile, input) {
		if(input[0] == "at") {
			input.shift();
		}
		var mobileKey = input.join(" ").trim();
		var roomMobile = libs.Utilities.getSpecific(mobileKey, room.mobiles, session.mobiles);
		if(roomMobile != null) {
			libs.Output.toMobile(mobile.id, "You wave at " + roomMobile.mud_getName() + ".", mobile);
			libs.Output.toMobile(roomMobile.id, mobile.mud_getName() + " waves at you.", mobile);
			libs.Output.toRoom(room.id, mobile.mud_getName() + " waves at " + roomMobile.mud_getName() + ".", [mobile, roomMobile]);
			return true;
		}
		libs.Output.toMobile(mobile.id, "You wave.", mobile);
		libs.Output.toRoom(room.id, mobile.mud_getName() + " waves.", mobile);
		return true;
	}

	mud_getErrorMessage() {
		return "Your emotions briefly {error}dim{/error}, leaving you feeling empty.";
	}
}