module.exports = class Stone {
	constructor() {
		this.id = 0;
		this.name = "a chip of stone";
		this.description = "A sizeable piece of stone made up of many flecks of minerals.";
		this.type = "item";
		this.keywords = ["stone", "chip"];
		this.resetDelay = 12000000;
		this.itemExpires = 0;
		this.filename = "stone.js";
		this.value = 5;
	}

	mud_reset(time) {
		this.itemExpires = time + this.resetDelay;
	}

	mud_tick(time) {
		if(time >= this.itemExpires) {
			this.mud_reset(time);
		}
	}

	mud_getName() {
		return "{item}" + this.name + "{/item}";
	}

	mud_getDescription() {
		return this.description;
	}
}