module.exports = class PhandalinRoad10 {
	constructor() {
		this.id = this.constructor.name;
		this.name = "Phandalin Road";
		this.description = "A well worn dirt road.";
		this.filename = "phandalin/road10.js";
		this.type = "room";
		this.items = [];
		this.mobiles = [];
		this.roomExits = [];
		this.roomExpires = 0;
		this.resetDelay = 12000000;
		this.roomExits = ["southwest", "southeast", "north"];
	}

	mud_reset(time) {
		libs.Output.toRoom(this.id, "One of the townsfolk smiles as she passes by.");
		this.roomExpires = time + this.resetDelay;
	}

	mud_tick(time) {
		if(time >= this.roomExpires) {
			this.mud_reset(time);
		}
	}

	mud_getName() {
		return this.name;
	}

	mud_getDescription() {
		return this.description;
	}

	north(room, mobile, input) {
		world.mud_moveMobile(mobile.id, this.id, "PhandalinRoad11", "leaves north");
		return true;
	}

	southeast(room, mobile, input) {
		world.mud_moveMobile(mobile.id, this.id, "PhandalinRoad18", "leaves southeast");
		return true;
	}

	southwest(room, mobile, input) {
		world.mud_moveMobile(mobile.id, this.id, "PhandalinRoad9", "leaves southwest");
		return true;
	}
};
