module.exports = class PhandalinRoad11 {
	constructor() {
		this.id = this.constructor.name;
		this.name = "Phandalin Road";
		this.description = "A well worn dirt road.";
		this.filename = "phandalin/road11.js";
		this.type = "room";
		this.items = [];
		this.mobiles = [];
		this.roomExits = [];
		this.roomExpires = 0;
		this.resetDelay = 12000000;
		this.roomExits = ["north", "west", "south", "enter"];
	}

	mud_reset(time) {
		libs.Output.toRoom(this.id, "One of the townsfolk smiles as she passes by.");
		this.roomExpires = time + this.resetDelay;
	}

	mud_tick(time) {
		if(time >= this.roomExpires) {
			this.mud_reset(time);
		}
	}

	mud_getName() {
		return this.name;
	}

	mud_getDescription() {
		return this.description;
	}

	north(room, mobile, input) {
		world.mud_moveMobile(mobile.id, this.id, "PhandalinRoad46", "leaves north");
		return true;
	}

	west(room, mobile, input) {
		world.mud_moveMobile(mobile.id, this.id, "PhandalinRoad12", "leaves west");
		return true;
	}

	south(room, mobile, input) {
		world.mud_moveMobile(mobile.id, this.id, "PhandalinRoad10", "leaves south");
		return true;
	}

	enter(room, mobile, input) {
		world.mud_moveMobile(mobile.id, this.id, "PhandalinBarthenProvisions", "enters Barthen's Provisions", "enters");
		return true;
	}
};
