module.exports = class Coal {
	constructor() {
		this.id = 0;
		this.name = "a lump of coal";
		this.description = "About a handful of black carbon coal. It is jagged and leaves black smudges on everything it touches.";
		this.type = "item";
		this.keywords = ["coal", "lump"];
		this.resetDelay = 12000000;
		this.itemExpires = 0;
		this.filename = "coal.js";
		this.value = 15;
	}

	mud_reset(time) {
		this.itemExpires = time + this.resetDelay;
	}

	mud_tick(time) {
		if(time >= this.itemExpires) {
			this.mud_reset(time);
		}
	}

	mud_getName() {
		return "{item}" + this.name + "{/item}";
	}

	mud_getDescription() {
		return this.description;
	}
}