module.exports = class RoughDiamond {
	constructor() {
		this.id = 0;
		this.name = "a rough diamond";
		this.description = "A small piece of uncut diamond. It is a cloudy white but you can see the flat surfaces reveal a clear interior.";
		this.type = "item";
		this.keywords = ["diamond"];
		this.resetDelay = 12000000;
		this.itemExpires = 0;
		this.filename = "roughdiamond.js";
		this.value = 100;
	}

	mud_reset(time) {
		this.itemExpires = time + this.resetDelay;
	}

	mud_tick(time) {
		if(time >= this.itemExpires) {
			this.mud_reset(time);
		}
	}

	mud_getName() {
		return "{item}" + this.name + "{/item}";
	}

	mud_getDescription() {
		return this.description;
	}
}